<?php
/**
 * CKplayer插件基本参数修改
 *
 * @version        $Id: ckplayercommon_edit.php 1 10:59 2013年4月1日by [织梦技术]-土匪 $
 * @copyright      Copyright (c) 2012 - 2013, IT常德, Inc.
 * @license        http://www.it736.com
 * @link           http://www.ckplayer.com
 */
require_once(dirname(__FILE__)."/config.php");
require_once DEDEINC."/arc.partview.class.php";
CheckPurview('plus_ckplayer基本参数');
if(empty($dopost)) $dopost = "";

if($dopost=="saveedit")
{
	require_once DEDEINC.'/request.class.php';
	$request = new Request();
	$request->Init();
    $id = preg_replace("#[^0-9]#", "", $request->Item('id', 0));
	$logo = $request->Item('logo', '');
	$sortrank = $request->Item('sortrank', 1);
	$adpre = $request->Item('adpre', '');
	$adpreurl = $request->Item('adpreurl', '');
	$adpretime = $request->Item('adpretime', '');
	$adpau = $request->Item('adpau', '');
	$adpauurl = $request->Item('adpauurl', '');
	$adbuffer = $request->Item('adbuffer', '');
	$admar = $request->Item('admar', '');
	$admarurl = $request->Item('admarurl', '');
	$motion = $request->Item('motion', '');
	$ckpause = $request->Item('ckpause', '');
	$volume = $request->Item('volume', '');
	
	$cthidden = $request->Item('cthidden', '');
	$cthidtime = $request->Item('cthidtime', '');
	$jindu = $request->Item('jindu', '');
	$djzt = $request->Item('djzt', '');
	$sjqp = $request->Item('sjqp', '');
	$qzggss = $request->Item('qzggss', '');
	$jpbut = $request->Item('jpbut', '');
	$qzjingyin = $request->Item('qzjingyin', '');
	$ztcls = $request->Item('ztcls', '');
	$opmarquee = $request->Item('opmarquee', '');
	$ckkey = $request->Item('ckkey', '');
	$ckname = $request->Item('ckname', '');
	$ckurl = $request->Item('ckurl', '');
	$ckver = $request->Item('ckver', '');
    $query = "UPDATE `#@__ckcommon` SET sortrank='$sortrank',adpre='$adpre',adpreurl='$adpreurl',logo='$logo',adpretime='$adpretime',adpau='$adpau',adpauurl='$adpauurl',adbuffer='$adbuffer',admar='$admar',admarurl='$admarurl',motion='$motion',ckpause='$ckpause',volume='$volume',cthidden='$cthidden',cthidtime='$cthidtime',jindu='$jindu',djzt='$djzt',sjqp='$sjqp',qzggss='$qzggss',jpbut='$jpbut',qzjingyin='$qzjingyin',ztcls='$ztcls',opmarquee='$opmarquee',ckkey='$ckkey',ckname='$ckname',ckurl='$ckurl',ckver='$ckver' WHERE id='$id' ";
    $dsql->ExecuteNoneQuery($query);
    ShowMsg("成功更改基本参数！",'ckplayercommon_edit.php?id=1&dopost=getedit');
    exit();
}
$myLink = $dsql->GetOne("SELECT #@__ckcommon.* FROM #@__ckcommon");
include DedeInclude('templets/ckplayercommon_edit.htm');